Name:           puzzle-master
Version:        2.0.0
Release:        8%{?dist}
Summary:        Fun and addictive jigsaw puzzle game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://puzzle-master.colorful.hu/

Source0:        %{name}-%{version}.tar.gz
# This package is generated from upstream's SCM, in the following way;
# %{name} refers to the package name and %{version} to the release version.
#
# git clone git://gitorious.org/colorful-apps/%{name}.git; cd %{name};
# git archive --format=tar --prefix=%{name}-%{version}/ v%{version} | gzip -n > %{name}-%{version}.tar.gz

BuildRequires: pkgconfig(QtCore), pkgconfig(QtGui), pkgconfig(QtOpenGL), pkgconfig(QtDeclarative)
BuildRequires: desktop-file-utils

%description
%{name} is a jigsaw puzzle game that lets you use your own
images (and contains some built-in ones) for generating puzzles.
You can decide the size and the difficulty of the puzzle.

%prep
%setup -q

%build
# This ensures that the files will be placed to the correct location
QMAKEFLAGS=''
QMAKEFLAGS+=' -after target.path=%{_bindir}'
QMAKEFLAGS+=' -after desktopfile.path=%{_datadir}/applications'
QMAKEFLAGS+=' -after iconfile.path=%{_datadir}/icons/hicolor/scalable/apps'
# This will find qmake on both Fedora and MeeGo
qmake-qt4 $QMAKEFLAGS || qmake $QMAKEFLAGS
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_ROOT=$RPM_BUILD_ROOT install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%attr(644,root,root) %{_datadir}/applications/%{name}.desktop
%attr(644,root,root) %{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%doc LICENSE
%doc LICENSE-DOCS

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.0.0-7
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 5 2012 Timur Kristóf <venemo@fedoraproject.org> 2.0.0-1
- Using new upstream release 2.0.0
- Changed file path for the icon

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat May 7 2011 Timur Kristóf <venemo@fedoraproject.org> 1.2.4-1
- Using new upstream release 1.2.4

* Sat May 7 2011 Timur Kristóf <venemo@fedoraproject.org> 1.2.3-1
- Using new upstream release 1.2.3
- Ensuring proper placement of the files with some qmake flags

* Wed May 4 2011 Timur Kristóf <venemo@fedoraproject.org> 1.2.2-2
- Fixed the issues raised during the review process, see
  https://bugzilla.redhat.com/show_bug.cgi?id=701785

* Tue May 3 2011 Timur Kristóf <venemo@fedoraproject.org> 1.2.2-1
- Initial version of the RPM package, using latest upstream 1.2.2 version.

